Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.table.span
Class LevelHeaderFactory

    java.lang.Object
      com.tonbeller.jpivot.olap.model.VisitorSupportStrict
          com.tonbeller.jpivot.table.span.LevelHeaderFactory

All Implemented Interfaces:
  Visitor, SpanHeaderFactory, SpanVisitor

    public class LevelHeaderFactory

extends VisitorSupportStrict
implements SpanVisitor, SpanHeaderFactory

returns a new span containing the level of the given span. If the given span contains a hierarchy or dimension (which don't have a single level) the new span contains the hierarchy or dimension.

Author:
  av

Constructor Summary
`LevelHeaderFactory()`

Method Summary
`Span` | `create(Span span)` creates a new header `Span` for `span`
`void` | `visitDimension(Dimension v)`
`void` | `visitEmptyMember(EmptyMember v)`
`void` | `visitHierarchy(Hierarchy v)`
`void` | `visitLevel(Level v)`
`void` | `visitMember(Member v)`
`void` | `visitProperty(Property v)`
`void` | `visitPropertyHeading(PropertyHeading heading)`

Methods inherited from class com.tonbeller.jpivot.olap.model.VisitorSupportStrict
`visitAxis, visitBooleanExpr, visitCell, visitDoubleExpr, visitFunCallExpr, visitIntegerExpr, visitMemberPropertyMeta, visitParameterExpr, visitPosition, visitPropertyExpr, visitResult, visitStringExpr`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.tonbeller.jpivot.olap.model.Visitor
`visitAxis, visitBooleanExpr, visitCell, visitDoubleExpr, visitFunCallExpr, visitIntegerExpr, visitMemberPropertyMeta, visitParameterExpr, visitPosition, visitPropertyExpr, visitResult, visitStringExpr`

Constructor Detail

### LevelHeaderFactory

    public LevelHeaderFactory()

Method Detail

### create

    public Span create(Span span)

  Description copied from interface: `SpanHeaderFactory`
  creates a new header `Span` for `span`

  Specified by:
    `create` in interface `SpanHeaderFactory`
  See Also:
    `com.tonbeller.jpivot.ui.table.span.SpanHeaderFactory#create(Span)`

### visitDimension

    public void visitDimension(Dimension v)

  Specified by:
    `visitDimension` in interface `Visitor`
  Overrides:
    `visitDimension` in class `VisitorSupportStrict`

### visitHierarchy

    public void visitHierarchy(Hierarchy v)

  Specified by:
    `visitHierarchy` in interface `Visitor`
  Overrides:
    `visitHierarchy` in class `VisitorSupportStrict`

### visitLevel

    public void visitLevel(Level v)

  Specified by:
    `visitLevel` in interface `Visitor`
  Overrides:
    `visitLevel` in class `VisitorSupportStrict`

### visitMember

    public void visitMember(Member v)

  Specified by:
    `visitMember` in interface `Visitor`
  Overrides:
    `visitMember` in class `VisitorSupportStrict`

### visitProperty

    public void visitProperty(Property v)

  Specified by:
    `visitProperty` in interface `Visitor`
  Overrides:
    `visitProperty` in class `VisitorSupportStrict`

### visitPropertyHeading

    public void visitPropertyHeading(PropertyHeading heading)

  Specified by:
    `visitPropertyHeading` in interface `SpanVisitor`

### visitEmptyMember

    public void visitEmptyMember(EmptyMember v)

  Specified by:
    `visitEmptyMember` in interface `Visitor`
  Overrides:
    `visitEmptyMember` in class `VisitorSupportStrict`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD